from installclass import BaseInstallClass
from rhpl.translate import N_, _
from constants import *
import os
import iutil
from security import *

# custom installs are easy :-)
class InstallClass(BaseInstallClass):
    name = N_("IAS specific PU__IAS Linux Workstation")
    pixmap = "workstation.png"
    description = N_("IAS specific PU__IAS Linux Workstation"
                     "includes Gnome, KDE, additional scientific,"
                     "graphics, video and other packages")
    sortPriority = 75
    showLoginChoice = 0
    hidden = 0

    pkgstext = N_("\tDesktop shell (GNOME, KDE)\n"
                  "\tOffice suite (OpenOffice.org)\n"
                  "\tAuthoring and Publishing\n"
                  "\tWeb browser \n"
                  "\tEmail (Evolution)\n"
                  "\tInstant messaging\n"
                  "\tSound and video applications\n"
                  "\tGames\n"
                  "\tSoftware Development Tools\n"
                  "\tAdministration and System Tools\n"
                  "\tIAS Specific packages\n")

    def setSteps(self, dispatch):
	BaseInstallClass.setSteps(self, dispatch);
        dispatch.skipStep("desktopchoice", skip = 0)
        dispatch.skipStep("package-selection", skip = 1)

    def setGroupSelection(self, grpset, intf):
	BaseInstallClass.__init__(self, grpset)

        grpset.unselectAll()
        grpset.selectGroup("workstation-common", asMeta = 1)
        grpset.selectGroup("gnome-desktop")
        grpset.selectGroup("kde-desktop")
        grpset.selectGroup("editors")
        grpset.selectGroup("games")
        grpset.selectGroup("x-software-development")
        grpset.selectGroup("gnome-software-development")
        grpset.selectGroup("system-tools")
        grpset.selectGroup("admin-tools")
        grpset.selectGroup("development-tools")
        grpset.selectGroup("authoring-and-publishing")
        grpset.selectGroup("engineering-and-scientific")
        grpset.selectGroup("compat-arch-support", asMeta = 1, missingOk = 1)
        grpset.selectGroup("compat-arch-development", asMeta = 1, missingOk = 1)
        grpset.selectGroup("ias")
        
    def setInstallData(self, id):
	BaseInstallClass.setInstallData(self, id)
        BaseInstallClass.setDefaultPartitioning(self, id.partitions,
                                                CLEARPART_TYPE_LINUX)
        BaseInstallClass.setSELinux(self, id, SEL_PERMISSIVE)

    def __init__(self, expert):
	BaseInstallClass.__init__(self, expert)
